Multipart File Replacement Init
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/files/{id}/replace/multipart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"mime_type": "<string>",
"original_filename": "<string>",
"size_bytes": 123,
"enable_diarization": true,
"skip_transcription": false,
"transcription_language": "<string>"
},
"type": "file_replacements"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/files/{id}/replace/multipart"
payload = { "data": {
"attributes": {
"mime_type": "<string>",
"original_filename": "<string>",
"size_bytes": 123,
"enable_diarization": True,
"skip_transcription": False,
"transcription_language": "<string>"
},
"type": "file_replacements"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
mime_type: '<string>',
original_filename: '<string>',
size_bytes: 123,
enable_diarization: true,
skip_transcription: false,
transcription_language: '<string>'
},
type: 'file_replacements'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/files/{id}/replace/multipart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"file_id": "<string>",
"mime_type": "<string>",
"original_filename": "<string>",
"size_bytes": 123,
"status_upload": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}media-admin
Multipart File Replacement Init
Create a pending replacement and initiate multipart upload.
POST
/
api
/
v1
/
teams
/
{team_id}
/
files
/
{id}
/
replace
/
multipart
Multipart File Replacement Init
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Request body for POST /api/teams/{team_id}/files/{id}/replace.
Show child attributes
Show child attributes
⌘I